Skip to main content
GET
List With Filter

Authorizations

Authorization
string
header
required

The Authorization header expects a Bearer token.

Query Parameters

parentId
string
required

Represents the container ID.

pageSize
string<int64>

Specifies the maximum number of items to return in the response.

pageToken
string

Token for pagination, allowing the retrieval of the next set of results.

filters.bucketType
enum<string>
default:BUCKET_TYPE_UNSPECIFIED

If set, only buckets of the specified type will be returned. If not set, all bucket types will be returned.

  • REGULAR: Regular object storage bucket.
  • FILESYSTEM: Object storage bucket that is mounted to an existing compute filesystem.
Available options:
BUCKET_TYPE_UNSPECIFIED,
REGULAR,
FILESYSTEM
filters.filesystemId
string

If not empty, only buckets mounted to the specified filesystem will be returned.

Response

200 - application/json

A successful response.

items
object[]

List of buckets returned in the response. The field should be named as items for consistency.

nextPageToken
string

Token for pagination, indicating the next set of results can be retrieved using this token.